Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.recordtype
Class SegmentConcatenationFactoryAssembler

    java.lang.Object
      com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
          com.servingxml.components.flatfile.recordtype.SegmentConcatenationFactoryAssembler

    public class SegmentConcatenationFactoryAssembler

extends FlatFileOptionsFactoryAssembler

The `FlatRecordTypeFactoryAssembler` implements an assembler for assembling flat file record type objects.

Constructor Summary
`SegmentConcatenationFactoryAssembler()`

Method Summary
`RecordCombinationFactory` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(CombinedFlatRecordTypeFactory sdwRecordTypeFactory)`
`void` | `injectComponent(FlatRecordTypeFactory dataRecordTypeFactory)`
`void` | `injectComponent(ParameterDescriptor[] parameterDescriptors)`
`void` | `injectComponent(XsltConfiguration xsltConfiguration)`
`void` | `setEndTest(java.lang.String endTest)`
`void` | `setSegmentLength(java.lang.String segmentLength)`
`void` | `setStartTest(java.lang.String startTest)`
`void` | `setSuppressRDW(boolean suppressRDW)`

Methods inherited from class com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
`assembleFlatFileOptions, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, setAlwaysQuote, setCountPositionsInBytes, setFlushRecordOnWrite, setIgnoreEmptyLines, setIgnoreTrailingEmptyLines, setJustify, setLineDelimited, setOmitFinalFieldDelimiter, setOmitFinalRepeatDelimiter, setPadCharacter, setQuote, setTrim, setTrimLeading, setTrimLeadingWithinQuotes, setTrimQuoted, setTrimTrailing, setTrimTrailingWithinQuotes, setTrimWithinQuotes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SegmentConcatenationFactoryAssembler

    public SegmentConcatenationFactoryAssembler()

Method Detail

### setSegmentLength

    public void setSegmentLength(java.lang.String segmentLength)

### setSuppressRDW

    public void setSuppressRDW(boolean suppressRDW)

### setStartTest

    public void setStartTest(java.lang.String startTest)

### setEndTest

    public void setEndTest(java.lang.String endTest)

### injectComponent

    public void injectComponent(ParameterDescriptor[] parameterDescriptors)

### injectComponent

    public void injectComponent(CombinedFlatRecordTypeFactory sdwRecordTypeFactory)

### injectComponent

    public void injectComponent(FlatRecordTypeFactory dataRecordTypeFactory)

### injectComponent

    public void injectComponent(XsltConfiguration xsltConfiguration)

### assemble

    public RecordCombinationFactory assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD